> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get domain health summary

> Returns a summary of domain health including verification status and usability.



## OpenAPI

````yaml /openapi/generated/email/domains.yml get /email_domains/{id}/health
openapi: 3.1.0
info:
  contact:
    email: support@telnyx.com
  description: API for managing email domains, DNS records, verification, and webhooks.
  title: Telnyx Email Domains API
  version: 2.0.0
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /email_domains/{id}/health:
    get:
      tags:
        - Email Domains
      summary: Get domain health summary
      description: >-
        Returns a summary of domain health including verification status and
        usability.
      operationId: getEmailDomainHealth
      parameters:
        - $ref: '#/components/parameters/EmailDomainId'
      responses:
        '200':
          description: Domain health summary
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailDomainHealthResponse'
              example:
                data:
                  id: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
                  record_type: email_domain_health
                  status: verified
                  usable_for_sending: true
                  usable_for_inbound: false
                  verification:
                    ownership: verified
                    spf: verified
                    dkim: verified
                    dmarc: missing_optional
                    mx: not_required
                  checked_at: '2026-05-31T12:00:00Z'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.emailDomains.retrieveHealth('id');

            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.email_domains.retrieve_health(
                "id",
            )
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.EmailDomains.GetHealth(\n\t\tcontext.TODO(),\n\t\t\"id\",\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    var response = client.emailDomains().retrieveHealth("id");
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            response = telnyx.email_domains.retrieve_health("id")

            puts(response)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $response = $client->emailDomains->retrieveHealth(
                'id',
              );

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx email-domains retrieve-health \
              --api-key 'My API Key' \
              --id id
components:
  parameters:
    EmailDomainId:
      name: id
      in: path
      required: true
      description: Email domain UUID
      schema:
        type: string
        format: uuid
  schemas:
    EmailDomainHealthResponse:
      type: object
      required:
        - data
      properties:
        data:
          $ref: '#/components/schemas/EmailDomainHealth'
    EmailDomainHealth:
      type: object
      required:
        - id
        - record_type
        - status
        - usable_for_sending
        - usable_for_inbound
        - verification
        - checked_at
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the email domain
        record_type:
          type: string
          enum:
            - email_domain_health
          description: Record type discriminator
        status:
          type: string
          enum:
            - pending
            - verifying
            - verified
            - failed
            - degraded
            - suspended
          description: Current domain status
        usable_for_sending:
          type: boolean
          description: Whether the domain is usable for sending email
        usable_for_inbound:
          type: boolean
          description: Whether the domain is usable for receiving inbound email
        verification:
          $ref: '#/components/schemas/EmailDomainVerification'
        checked_at:
          type: string
          format: date-time
          description: Timestamp of the last health check
    DomainsErrorResponse:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/email_Error'
    EmailDomainVerification:
      type: object
      required:
        - ownership
        - spf
        - dkim
        - dmarc
        - mx
      properties:
        ownership:
          type: string
          enum:
            - pending
            - verified
            - not_required
        spf:
          type: string
          enum:
            - missing_optional
            - verified
            - failed
            - not_required
        dkim:
          type: string
          enum:
            - pending
            - verified
            - failed
        dmarc:
          type: string
          enum:
            - missing_optional
            - verified
            - failed
        mx:
          type: string
          enum:
            - not_required
            - pending
            - verified
            - failed
    email_Error:
      type: object
      required:
        - code
        - title
        - detail
      properties:
        code:
          type: string
          enum:
            - '10001'
            - '10015'
            - '500'
            - '10007'
            - '10008'
            - '10020'
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              type: string
  responses:
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DomainsErrorResponse'
          example:
            errors:
              - code: '10001'
                title: Not Found
                detail: The requested email domain was not found
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DomainsErrorResponse'
          example:
            errors:
              - code: '500'
                title: Internal Server Error
                detail: An unexpected error occurred
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````